r170 - in /packages/gnash/trunk/debian: autogen.sh gnash-common.install klash.links

baby-guest at users.alioth.debian.org baby-guest at users.alioth.debian.org
Thu Feb 14 14:59:51 UTC 2008


Author: baby-guest
Date: Thu Feb 14 14:59:51 2008
New Revision: 170

URL: http://svn.debian.org/wsvn/pkg-flash/?sc=1&rev=170
Log:
As it was uploaded to Debian repositories: 0.8.1~rc.070818-1


Added:
    packages/gnash/trunk/debian/autogen.sh
    packages/gnash/trunk/debian/gnash-common.install
    packages/gnash/trunk/debian/klash.links

Added: packages/gnash/trunk/debian/autogen.sh
URL: http://svn.debian.org/wsvn/pkg-flash/packages/gnash/trunk/debian/autogen.sh?rev=170&op=file
==============================================================================
--- packages/gnash/trunk/debian/autogen.sh (added)
+++ packages/gnash/trunk/debian/autogen.sh Thu Feb 14 14:59:51 2008
@@ -1,0 +1,178 @@
+#!/bin/sh
+
+# 
+#   Copyright (C) 2005, 2006, 2007 Free Software Foundation, Inc.
+# 
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 3 of the License, or
+# (at your option) any later version.
+# 
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
+# 
+# Run this to generate all the initial makefiles, etc.
+
+srcdir=`dirname $0`/..
+test -z "$srcdir" && srcdir=.
+
+DIE=0
+
+#Always use our macros
+#ACLOCAL_FLAGS="-I macros $ACLOCAL_FLAGS"
+
+(test -f $srcdir/configure.ac) || {
+    echo -n "**Error**: Directory "\`$srcdir\'" does not look like the"
+    echo " top-level package directory"
+    exit 1
+}
+
+(${AUTOCONF:-autoconf} --version) < /dev/null > /dev/null 2>&1 || {
+  echo
+  echo "**Error**: You must have \`autoconf' installed."
+  echo "Download the appropriate package for your distribution,"
+  echo "or get the source tarball at ftp://ftp.gnu.org/pub/gnu/"
+  DIE=1
+}
+
+(grep "^AC_PROG_INTLTOOL" $srcdir/configure.ac >/dev/null) && {
+  (${INTLTOOLIZE:-intltoolize} --version) < /dev/null > /dev/null 2>&1 || {
+    echo 
+    echo "**Error**: You must have \`intltool' installed."
+    echo "You can get it from:"
+    echo "  ftp://ftp.gnome.org/pub/GNOME/"
+    DIE=1
+  }
+}
+
+(grep "^AM_PROG_XML_I18N_TOOLS" $srcdir/configure.ac >/dev/null) && {
+  (xml-i18n-toolize --version) < /dev/null > /dev/null 2>&1 || {
+    echo
+    echo "**Error**: You must have \`xml-i18n-toolize' installed."
+    echo "You can get it from:"
+    echo "  ftp://ftp.gnome.org/pub/GNOME/"
+    DIE=1
+  }
+}
+
+(grep "^AM_PROG_LIBTOOL" $srcdir/configure.ac >/dev/null) && {
+  (${LIBTOOL:-libtool} --version) < /dev/null > /dev/null 2>&1 || {
+    echo
+    echo "**Error**: You must have \`libtool' installed."
+    echo "You can get it from: ftp://ftp.gnu.org/pub/gnu/"
+    DIE=1
+  }
+}
+
+(grep "^AM_GLIB_GNU_GETTEXT" $srcdir/configure.ac >/dev/null) && {
+  (grep "sed.*POTFILES" $srcdir/configure.ac) > /dev/null || \
+  (glib-gettextize --version) < /dev/null > /dev/null 2>&1 || {
+    echo
+    echo "**Error**: You must have \`glib' installed."
+    echo "You can get it from: ftp://ftp.gtk.org/pub/gtk"
+    DIE=1
+  }
+}
+
+(${AUTOMAKE:-automake} --version) < /dev/null > /dev/null 2>&1 || {
+  echo
+  echo "**Error**: You must have \`automake' installed."
+  echo "You can get it from: ftp://ftp.gnu.org/pub/gnu/"
+  DIE=1
+  NO_AUTOMAKE=yes
+}
+
+
+# if no automake, don't bother testing for aclocal
+test -n "$NO_AUTOMAKE" || (${ACLOCAL:-aclocal} --version) < /dev/null > /dev/null 2>&1 || {
+  echo
+  echo "**Error**: Missing \`aclocal'.  The version of \`automake'"
+  echo "installed doesn't appear recent enough."
+  echo "You can get automake from ftp://ftp.gnu.org/pub/gnu/"
+  DIE=1
+}
+
+if test "$DIE" -eq 1; then
+  exit 1
+fi
+
+case $CC in
+xlc )
+  am_opt=--include-deps;;
+esac
+
+if grep "^AC_PROG_LIBTOOL" configure.ac >/dev/null; then
+	if test -z "$NO_LIBTOOLIZE" ; then 
+	  echo "Running libtoolize --force --ltdl --copy ..."
+	  if ${LIBTOOLIZE:-libtoolize} --force --ltdl --copy; then
+	    chmod a+w libltdl/config-h.in # Darwin needs this
+          else
+            echo
+            echo "**Error**: libtoolize failed, do you have libtool package installed?"
+            exit 1
+          fi
+	fi
+fi
+
+#for coin in `find $srcdir -name CVS -prune -o -name configure.ac -print`
+for coin in configure.ac
+do 
+  dr=`dirname $coin`
+  if test -f $dr/NO-AUTO-GEN; then
+    echo skipping $dr -- flagged as no auto-gen
+  else
+    echo processing $dr
+    ( cd $dr
+
+     if test -d macros; then
+        aclocalinclude="-I macros $ACLOCAL_FLAGS"
+     else
+        aclocalinclude="$ACLOCAL_FLAGS"
+     fi
+
+      if grep "^AM_GLIB_GNU_GETTEXT" configure.ac >/dev/null; then
+	echo "Creating $dr/aclocal.m4 ..."
+	test -r $dr/aclocal.m4 || touch $dr/aclocal.m4
+	echo "Making $dr/aclocal.m4 writable ..."
+	test -r $dr/aclocal.m4 && chmod u+w $dr/aclocal.m4
+      fi
+      if grep "^AC_PROG_INTLTOOL" configure.ac >/dev/null; then
+        echo "Running intltoolize --copy --force --automake ..."
+	${INTLTOOLIZE:-intltoolize} --copy --force --automake
+      fi
+      if grep "^AM_PROG_XML_I18N_TOOLS" configure.ac >/dev/null; then
+        echo "Running xml-i18n-toolize --copy --force --automake..."
+	xml-i18n-toolize --copy --force --automake
+      fi
+#       if grep "^AC_PROG_LIBTOOL" configure.ac >/dev/null; then
+# 	if test -z "$NO_LIBTOOLIZE" ; then 
+# 	  echo "Running libtoolize --force --copy ..."
+# 	  ${LIBTOOLIZE:-libtoolize} --force --copy
+# 	fi
+#       fi
+      echo "Running aclocal $aclocalinclude ..."
+      ${ACLOCAL:-aclocal} $aclocalinclude
+      if grep "^AM_CONFIG_HEADER" configure.ac >/dev/null; then
+	echo "Running autoheader..."
+	${AUTOHEADER:-autoheader}
+      fi
+      # This is a hack. Any command line arguments maens don't run Automake.
+      # This is to prevent regenerating and checking in a pile of Makefiles
+      # that haven't really changed. They clutter up the checkin messages.
+      if test x"$1" = x ; then
+        echo "Running automake --add-missing --copy $am_opt ..."
+        ${AUTOMAKE:-automake} --add-missing --copy $am_opt
+      fi
+      echo "Running autoconf ..."
+      ${AUTOCONF:-autoconf}
+    )
+  fi
+done
+
+conf_flags="--enable-maintainer-mode"
+

Added: packages/gnash/trunk/debian/gnash-common.install
URL: http://svn.debian.org/wsvn/pkg-flash/packages/gnash/trunk/debian/gnash-common.install?rev=170&op=file
==============================================================================
--- packages/gnash/trunk/debian/gnash-common.install (added)
+++ packages/gnash/trunk/debian/gnash-common.install Thu Feb 14 14:59:51 2008
@@ -1,0 +1,17 @@
+tmp/usr/lib/gnash/libgnashamf-*.so usr/lib/gnash/
+tmp/usr/lib/gnash/libgnashgeo-*.so usr/lib/gnash/
+tmp/usr/lib/gnash/libgnashamf.so usr/lib/gnash/
+tmp/usr/lib/gnash/libgnashgeo.so usr/lib/gnash/
+tmp/usr/lib/gnash/libgnashbackend-*.so usr/lib/gnash/
+tmp/usr/lib/gnash/libgnashbackend.so usr/lib/gnash/
+tmp/usr/lib/gnash/libgnashserver-*.so usr/lib/gnash/
+tmp/usr/lib/gnash/libgnashbase-*.so usr/lib/gnash/
+tmp/usr/lib/gnash/libgnashserver.so usr/lib/gnash/
+tmp/usr/lib/gnash/libgnashbase.so usr/lib/gnash/
+
+tmp/usr/bin/gnash usr/bin/
+tmp/usr/share/man/man1/gnash.1 usr/share/man/man1/
+tmp/usr/share/gnash usr/share/
+tmp/usr/share/locale usr/share/
+
+overrides/gnash-common usr/share/lintian/overrides/

Added: packages/gnash/trunk/debian/klash.links
URL: http://svn.debian.org/wsvn/pkg-flash/packages/gnash/trunk/debian/klash.links?rev=170&op=file
==============================================================================
--- packages/gnash/trunk/debian/klash.links (added)
+++ packages/gnash/trunk/debian/klash.links Thu Feb 14 14:59:51 2008
@@ -1,0 +1,1 @@
+usr/bin/kde-gnash usr/bin/klash




More information about the pkg-flash-devel mailing list